### File

`packages/eui/packages/components-next/src/lib/components/eui-file-upload/file-preview/file-preview.component.ts`

### Implements

`OnInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `eui-file-preview`
templateUrl | `./file-preview.component.html`

### Index

###### Properties
Public fileExtension Public icon Public previewData Public url
###### Methods
Public onRemoveFromList
###### Inputs
file hasPreview hasPreviewAsIcon hasPreviewAsImage index isFilenameDisplayed isFilesizeDisplayed isFiletypeDisplayed previewAsIconConfig
###### Outputs
removeFromList

### Constructor

`constructor(cd: ChangeDetectorRef)`
Parameters :
Name | Type | Optional
cd | `ChangeDetectorRef` | No

### Inputs

file
Type : `Blob | EuiUploadedFile | any`

hasPreview
Default value : `true`

hasPreviewAsIcon
Default value : `false`

hasPreviewAsImage
Default value : `true`

index
Type : `number`

isFilenameDisplayed
Default value : `true`

isFilesizeDisplayed
Default value : `true`

isFiletypeDisplayed
Default value : `true`

previewAsIconConfig
Default value : `{ 'avi': 'eui-icon-filetype-avi', 'html': 'eui-icon-filetype-html', 'htm': 'eui-icon-filetype-html', 'js': 'eui-icon-filetype-js', 'json': 'eui-icon-filetype-json', 'mp4': 'eui-icon-filetype-mp4', 'pdf': 'eui-icon-filetype-pdf', 'png': 'eui-icon-filetype-png', 'svg': 'eui-icon-filetype-svg', 'txt': 'eui-icon-filetype-txt', 'xml': 'eui-icon-filetype-xml', 'jpeg': 'eui-icon-filetype-jpg', 'jpg': 'eui-icon-filetype-jpg', 'zip': 'eui-icon-filetype-zip', 'doc': 'eui-icon-filetype-doc', 'docx': 'eui-icon-filetype-doc', 'xls': 'eui-icon-filetype-xls', 'xlsx': 'eui-icon-filetype-xls', 'ppt': 'eui-icon-filetype-ppt', 'csv': 'eui-icon-filetype-csv', 'rtf': 'eui-icon-filetype-rtf', }`

### Outputs

removeFromList
Type : `EventEmitter`

### Methods

Public onRemoveFromList
`onRemoveFromList()`
Returns : `void`

### Properties

Public fileExtension
Type : `string`

Public icon
Type : `string`

Public previewData
Type : `literal type`

Public url
Type : `string`

# result-matching ""

# No results matching ""